mixed-port: 7890
allow-lan: true
mode: Rule
log-level: info
external-controller: 127.0.0.1:9090
proxies:
  - {"name":"http_WS_CDN_vless_user","type":"vless","server":"www.speedtest.net","port":80,"uuid":"50be1c27-17c7-4b0f-bc2e-5d8c1a3f548b","tls":false,"servername":"user.gozar.pw","network":"ws","ws-opts":{"path":"/cvlYuLCY91mFD2Nv","headers":{"host":"user.gozar.pw"}}}
  - {"name":"http_WS_CDN_vmess_user","type":"vmess","server":"www.speedtest.net","port":80,"cipher":"chacha20-poly1305","uuid":"50be1c27-17c7-4b0f-bc2e-5d8c1a3f548b","alterId":0,"tls":false,"skip-cert-verify":true,"servername":"user.gozar.pw","network":"ws","ws-opts":{"path":"/axX546lNBgqLKXe1mFD2Nv","headers":{"host":"user.gozar.pw"}}}
  - {"name":"tls_h2_WS_CDN_vless_user","type":"vless","server":"www.speedtest.net","port":443,"uuid":"50be1c27-17c7-4b0f-bc2e-5d8c1a3f548b","tls":true,"servername":"user.gozar.pw","network":"ws","ws-opts":{"path":"/cvlYuLCY91mFD2Nv","headers":{"host":"user.gozar.pw"}}}
  - {"name":"tls_h2_WS_CDN_trojan_user","type":"trojan","server":"www.speedtest.net","port":443,"udp":true,"password":"50be1c27-17c7-4b0f-bc2e-5d8c1a3f548b","sni":"user.gozar.pw","skip-cert-verify":true,"network":"ws","ws-opts":{"path":"/kdiTAmLL1mFD2Nv","headers":{"host":"user.gozar.pw"}},"alpn":["h2"]}
  - {"name":"tls_h2_WS_CDN_vmess_user","type":"vmess","server":"www.speedtest.net","port":443,"cipher":"chacha20-poly1305","uuid":"50be1c27-17c7-4b0f-bc2e-5d8c1a3f548b","alterId":0,"tls":true,"skip-cert-verify":true,"servername":"user.gozar.pw","network":"ws","ws-opts":{"path":"/axX546lNBgqLKXe1mFD2Nv","headers":{"host":"user.gozar.pw"}}}
  - {"name":"tls_h2_grpc_CDN_vless_user","type":"vless","server":"www.speedtest.net","port":443,"uuid":"50be1c27-17c7-4b0f-bc2e-5d8c1a3f548b","tls":true,"servername":"user.gozar.pw","network":"grpc"}
  - {"name":"tls_h2_grpc_CDN_trojan_user","type":"trojan","server":"www.speedtest.net","port":443,"udp":true,"password":"50be1c27-17c7-4b0f-bc2e-5d8c1a3f548b","sni":"user.gozar.pw","skip-cert-verify":true,"network":"grpc","ws-opts":{"path":"kdiTAmLLSSD3dbHEzkaam","headers":{"host":"user.gozar.pw"}},"grpc-opts":{"grpc-service-name":"kdiTAmLLSSD3dbHEzkaam"},"alpn":["h2"]}
  - {"name":"tls_h2_grpc_CDN_vmess_user","type":"vmess","server":"www.speedtest.net","port":443,"cipher":"chacha20-poly1305","uuid":"50be1c27-17c7-4b0f-bc2e-5d8c1a3f548b","alterId":0,"tls":true,"skip-cert-verify":true,"servername":"user.gozar.pw","network":"grpc","grpc-opts":{"grpc-service-name":"axX546lNBgqLKXeSSD3dbHEzkaam","grpc-mode":"multi"}}
  - {"name":"tls_WS_CDN_vless_user","type":"vless","server":"www.speedtest.net","port":443,"uuid":"50be1c27-17c7-4b0f-bc2e-5d8c1a3f548b","tls":true,"servername":"user.gozar.pw","network":"ws","ws-opts":{"path":"/cvlYuLCY91mFD2Nv","headers":{"host":"user.gozar.pw"}}}
  - {"name":"tls_WS_CDN_trojan_user","type":"trojan","server":"www.speedtest.net","port":443,"udp":true,"password":"50be1c27-17c7-4b0f-bc2e-5d8c1a3f548b","sni":"user.gozar.pw","skip-cert-verify":true,"network":"ws","ws-opts":{"path":"/kdiTAmLL1mFD2Nv","headers":{"host":"user.gozar.pw"}},"alpn":["http/1.1"]}
  - {"name":"tls_WS_CDN_vmess_user","type":"vmess","server":"www.speedtest.net","port":443,"cipher":"chacha20-poly1305","uuid":"50be1c27-17c7-4b0f-bc2e-5d8c1a3f548b","alterId":0,"tls":true,"skip-cert-verify":true,"servername":"user.gozar.pw","network":"ws","ws-opts":{"path":"/axX546lNBgqLKXe1mFD2Nv","headers":{"host":"user.gozar.pw"}}}
  - {"name":"tls_grpc_CDN_vless_user","type":"vless","server":"www.speedtest.net","port":443,"uuid":"50be1c27-17c7-4b0f-bc2e-5d8c1a3f548b","tls":true,"servername":"user.gozar.pw","network":"grpc"}
  - {"name":"tls_grpc_CDN_trojan_user","type":"trojan","server":"www.speedtest.net","port":443,"udp":true,"password":"50be1c27-17c7-4b0f-bc2e-5d8c1a3f548b","sni":"user.gozar.pw","skip-cert-verify":true,"network":"grpc","ws-opts":{"path":"kdiTAmLLSSD3dbHEzkaam","headers":{"host":"user.gozar.pw"}},"grpc-opts":{"grpc-service-name":"kdiTAmLLSSD3dbHEzkaam"},"alpn":["http/1.1"]}
  - {"name":"tls_grpc_CDN_vmess_user","type":"vmess","server":"www.speedtest.net","port":443,"cipher":"chacha20-poly1305","uuid":"50be1c27-17c7-4b0f-bc2e-5d8c1a3f548b","alterId":0,"tls":true,"skip-cert-verify":true,"servername":"user.gozar.pw","network":"grpc","grpc-opts":{"grpc-service-name":"axX546lNBgqLKXeSSD3dbHEzkaam","grpc-mode":"multi"}}
proxy-groups:
  - name: 🛠 MENU
    type: select
    proxies:
    - 🚀 MANUAL
    - ✈️ AUTO-MANUAL
  - name: 🚀 MANUAL
    type: select
    proxies:
      - http_WS_CDN_vless_user
      - http_WS_CDN_vmess_user
      - tls_h2_WS_CDN_vless_user
      - tls_h2_WS_CDN_trojan_user
      - tls_h2_WS_CDN_vmess_user
      - tls_h2_grpc_CDN_vless_user
      - tls_h2_grpc_CDN_trojan_user
      - tls_h2_grpc_CDN_vmess_user
      - tls_WS_CDN_vless_user
      - tls_WS_CDN_trojan_user
      - tls_WS_CDN_vmess_user
      - tls_grpc_CDN_vless_user
      - tls_grpc_CDN_trojan_user
      - tls_grpc_CDN_vmess_user
rules:
  - IP-CIDR,192.168.0.0/16,DIRECT,no-resolve
  - IP-CIDR,10.0.0.0/8,DIRECT,no-resolve
  - IP-CIDR,172.16.0.0/12,DIRECT,no-resolve
  - IP-CIDR,127.0.0.0/8,DIRECT,no-resolve
  - IP-CIDR,100.64.0.0/10,DIRECT,no-resolve
  - IP-CIDR6,::1/128,DIRECT,no-resolve
  - IP-CIDR6,fc00::/7,DIRECT,no-resolve
  - IP-CIDR6,fe80::/10,DIRECT,no-resolve
  - IP-CIDR6,fd00::/8,DIRECT,no-resolve
  - DOMAIN-SUFFIX,local,DIRECT
  - DOMAIN-SUFFIX,ir,DIRECT
  - GEOIP,IR,DIRECT
  - MATCH,🛠 MENU